<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vendor_sub_categories', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->text('description')->nullable();
            $table->string('track_id')->unique(); // e.g. SUBCAT_ABC123

            // Foreign key reference to vendor_categories.id
            $table->string('category_id');
            $table->foreign('category_id')->references('track_id')->on('vendor_categories')->onDelete('cascade');

            $table->uuid('created_by');
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vendor_sub_categories');
    }
};
